diff --git a/node/index.ts b/node/index.ts
index f03a778..741a361 100644
--- a/node/index.ts
+++ b/node/index.ts
@@ -4,6 +4,7 @@ import { LRUCache, method, Service } from '@vtex/api'
 import { Clients } from './clients'
 import { status } from './middlewares/status'
 import { validate } from './middlewares/validate'
+import { list } from './middlewares/list'
 
 const TIMEOUT_MS = 800
 
@@ -48,5 +49,8 @@ export default new Service({
     status: method({
       GET: [validate, status],
     }),
+    productList: method({
+      GET: [list],
+    }),
   },
 })
